--[[----------------------------------------------------------------------------

WFRxPromiseBridge.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2015 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

------------------------------------------------------------------------------]]

	-- WF.core.RxLua
local WFRxObservablePromiseResolver = require 'WFRxObservablePromiseResolver'

--============================================================================--

-- RxLua tests the argument to :call for type function, so we wrap this in an
-- actual function to satisfy that test.

return function( ... )

	local observablePromiseResolver = WFRxObservablePromiseResolver( ... )
	
	return observablePromiseResolver:promise()
	
end
