precision highp float;

fshin vec2 vTexCoords[4];

uniform sampler2D uSampler;

#if GLES3
out vec4 fragColor;
#else
#define fragColor gl_FragColor
#endif

void main()
{
    vec3 samples[4];
    samples[0] = texture( uSampler, vTexCoords[0] ).xyz;
    samples[1] = texture( uSampler, vTexCoords[1] ).xyz;
    samples[2] = texture( uSampler, vTexCoords[2] ).xyz;
    samples[3] = texture( uSampler, vTexCoords[3] ).xyz;    

    float val0 = 0.25*(samples[0].x + samples[1].x + samples[2].x + samples[3].x);
    float val1 = 0.25*(samples[0].y + samples[1].y + samples[2].y + samples[3].y);
    fragColor = vec4( val0, val1, 0.0, 0.0 );
}
