local RxClass = require 'Rx.Class'

--------------------------------------------------------------------------------

local queuePrototype = {

    _queue = false,
        -- (table)

}

--------------------------------------------------------------------------------

function queuePrototype:__init()

    self._queue = {}

end

--------------------------------------------------------------------------------

function queuePrototype:enqueue(value)

    self._queue[#self._queue + 1] = value

end

--------------------------------------------------------------------------------

function queuePrototype:dequeue()

    if #self._queue > 0 then

      local value = self._queue[1]

      table.remove(self._queue, 1)

      return value

    end

    return nil

end

--------------------------------------------------------------------------------

function queuePrototype:removeAll()

    self._queue = {}

end

--------------------------------------------------------------------------------

function queuePrototype:getCount()

    return #self._queue

end

--------------------------------------------------------------------------------

return RxClass('Rx.internals.Queue', queuePrototype)
