--[[----------------------------------------------------------------------------

WFRtmfpErrorCodes.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2015 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

------------------------------------------------------------------------------]]
	
local WF_RTMFP_ERROR_CODES = {
	STANDARD_ERROR 				= 0,
	ENDPOINT_OFFLINE 			= 1,
	FLOW_IS_CLOSED 				= 2,
	UNABLE_TO_CREATE_FLOW 		= 3,
	JSON_PAYLOAD_IS_TOO_LARGE 	= 4,
	JSON_IS_MALFORMED 			= 5,
	INSTANCE_CLOSED 			= 6,
	MESSAGE_ABANDONED 			= 7,
	BAD_SEND_FLOW_GUID			= 8
}

return WF_RTMFP_ERROR_CODES
