precision highp float;

vshin vec2 aPosition;
vshin vec2 aTexCoord;

uniform mat3 uPositionTransform;
uniform vec2 uTextureUnit;

vshout vec2 vTexCoords[4];

void main()
{
    vTexCoords[0] = aTexCoord + vec2( uTextureUnit.x, uTextureUnit.y );
    vTexCoords[1] = aTexCoord + vec2( uTextureUnit.x, -uTextureUnit.y );
    vTexCoords[2] = aTexCoord + vec2( -uTextureUnit.x, -uTextureUnit.y );
    vTexCoords[3] = aTexCoord + vec2( -uTextureUnit.x, uTextureUnit.y );
    gl_Position = vec4( uPositionTransform * vec3( aPosition, 1.0 ), 1.0 );
}
